package com.red.circle.other.app.service.pet;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.app.AppIdLongCmd;
import com.red.circle.common.business.dto.cmd.app.AppUserIdCmd;
import com.red.circle.other.app.dto.clientobject.pet.PetCurrentFeedingCO;
import com.red.circle.other.app.dto.clientobject.pet.PetOperationLogCO;
import com.red.circle.other.app.dto.clientobject.pet.PetUserFriendCO;
import com.red.circle.other.app.dto.clientobject.sys.PrizeContentCO;
import com.red.circle.other.app.dto.cmd.pet.PetCurrentFeedingCmd;
import com.red.circle.other.app.dto.cmd.pet.PetOperationLogQueryCmd;
import java.util.List;

/**
 * 宠物大厅-服务.
 *
 * @author pengliang on 2021/10/16
 */
public interface PetHallService {

  PetCurrentFeedingCO getCurrentFeeding(AppUserIdCmd cmd);

  Boolean feeding(PetCurrentFeedingCmd cmd);

  List<PetUserFriendCO> listPetFriend(AppUserIdCmd cmd);

  void receiveIncome(AppIdLongCmd cmd);

  void receiveFinishAward(AppIdLongCmd cmd);

  List<PetOperationLogCO> flowRunningWater(PetOperationLogQueryCmd cmd);

  PrizeContentCO turntableLottery(AppExtCommand cmd);
}
